.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
}

.mh-status {
  border-radius: 10px;
  padding: 6px 8px;
  font-weight: bold;
  font-size: 10px;
}

td {
  position: relative;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #09d3ac;
}

.mh-status {
  border-radius: 10px;
  padding: 6px 8px;
  font-weight: bold;
  font-size: 10px;
  /* position: absolute;
  right: 10px;
  top: 10px; */
}

.mh-status-annotation {
  border-radius: 10px;
  padding: 6px 8px;
  font-weight: bold;
  font-size: 10px;
}

.arabic {
  font-family: 'Almarai', sans-serifv !important
}

.arabic span {
  font-family: 'Almarai', sans-serifv !important;
}

.arabic p {
  font-family: 'Almarai', sans-serifv !important
}

.highcharts-container {
  width: 100% !important;
}

.highcharts-root {
  width: 100% !important;
}

.highchartscss {
  min-width: 310px;
  height: 400px;
  margin: 0 auto;
}

.mh-status-green {
  background-color: #c6f6d5;
  color: #2c784f;
}

.mh-status-yellow {
  background-color: #e6d967;
  color: #4b4514;
}

.MuiTab-root-185 {
  text-transform: none !important;
}


.mh-status-green {
  background-color: #c6f6d5;
  color: #2c784f;
}

.mh-status-yellow {
  background-color: #e6d967;
  color: #4b4514;
}

.mh-status-red {
  background-color: rgb(254, 215, 215);
  color: rgb(245, 101, 101);
}

.mh-status-blue {
  background-color: #BEE3F8;
  color: #4299E1;
}

.mh-status-orange {
  background-color: #f5deb3 !important;
  color: #d2691e !important;
}

.mh-status-gray {
  background-color: #e5e5e5 !important;
  color: #5a5959 !important;
}

.annotation-form {
  display: flex;
  width: 100%;
  /* height: 100%; */
}

#drawer {
  /* background: #fff; */
  width: 200px;
  flex-shrink: 0;
  position: relative;
  z-index: 100;
  display: flex;
  flex-direction: column;
  /* background: #F8F9FA; */
}

#drawer ol {
  margin: 0;
  counter-reset: li-count;
  list-style: none;
  overflow-x: visible;
  overflow-y: auto;
  flex-grow: 1;
  padding: 0;
  padding-top: 20px;
}

body:not(.en-lang) .annotation-form.google-codelab>div:not(#main) {
  margin-right: 10px;
}

body.en-lang .annotation-form.google-codelab>div:not(#main) {
  margin-left: 10px;
}

.annotation-form.google-codelab .full-row {
  margin-left: 0 !important;
  margin-right: 0 !important;
}

#drawer ol li {
  display: block;
  counter-increment: li-count;
}

#drawer ol li[completed] a {
  color: #212121;
}

#drawer ol li a {
  text-decoration: none;
  display: flex;
  align-items: center;
  font-size: 0.7rem;
  color: rgba(0, 0, 0, 0.87);
  padding: 1px 10px;
  min-height: 48px;
  font-weight: 400;
  line-height: 20px;
  box-sizing: content-box;
  position: relative;
  font-family: Almarai, -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  transition: all 300ms ease-in-out;
  border: 1px #dadce0 solid;
  border-radius: 5px;
  margin: 6px 0;
  background: white;
}

#drawer ol li:first-child a {
  margin-top: 0;
  padding-top: 0;
}

#drawer ol li a .step {
  display: flex;
  align-items: center;
}

/* #drawer ol li[completed] .step:before {
  background-color: #1A73E8;
  color: #fff;
}
 #drawer ol li .step:before {
  content: counter(li-count);
  display: inline-block;
  font-style: normal;
  width: 26px;
  min-width: 26px;
  color: #fff;
  background: #80868B;
  border-radius: 50%;
  text-align: center;
  height: 26px;
  vertical-align: middle;
  line-height: 26px;
  margin-left: 8px;
  font-weight: 400;
  position: relative;
  z-index: 2;
  transition: all 300ms ease-in-out;
} */
#drawer ol li[completed] a {
  color: #212121;
}



#drawer ol li[selectedItem] a,
#drawer ol li a:focus {
  color: #1a73e8;
  font-weight: 600;
  box-shadow: 0 1px 2px 0 rgba(60, 64, 67, 0.3), 0 2px 6px 2px rgba(60, 64, 67, 0.15);
  background-color: #d4d4d4;
}

#drawer ol li a:active,
#drawer ol li a:focus {
  background: #c6c6c6;
  -webkit-tap-highlight-color: transparent;
  outline: 0;
  border-color: #c6c6c6 !important;
}

.google-codelab {
  display: flex;
  width: 100%;
  flex-direction: row-reverse;
  /* height:90vh; */
  flex-wrap: wrap;
}

.full-row {
  width: 100%;
}

.google-codelab #main {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  position: relative;
  /* background: #F8F9FA; */
}

.google-codelab #steps {
  overflow: hidden;
  flex-direction: column;
  position: relative;
  flex-grow: 1;
}

.google-codelab-step {
  line-height: 30px;
  display: block;
}

.google-codelab .google-codelab-step {
  display: none;
  width: 100%;
  transform: translate3d(0, 0, 0);
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  padding-top: 22px;
  overflow-y: auto;
  overflow-x: hidden;
}

.google-codelab .google-codelab-step[animating],
.google-codelab .google-codelab-step[selectedtweet] {
  display: block;
  transform-origin: 0 50% 0;
  animation-fill-mode: both;
}

.google-codelab:not([theme="minimal"]) .google-codelab-step .instructions {
  box-shadow: 0px 1px 2px 0px rgba(60, 64, 67, 0.3), 0px 2px 6px 2px rgba(60, 64, 67, 0.15);
  background: #fff;
  /* max-width: 800px; */
  font-size: 14px;
  /* margin-left: 20px; */
  /* margin-right: 20px; */
  margin-bottom: 90px;
  border-radius: 4px;
}

.google-codelab:not([theme="minimal"]) .google-codelab-step .instructions {
  line-height: 30px;
  position: relative;
}

.google-codelab-step .instructions .inner {
  padding: 16px;
}

.google-codelab-step h2.step-title {
  font-family: Almarai, -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;
  font-size: 1.3em !important;
  font-weight: 400 !important;
  line-height: 1em !important;
  margin: 0 0 10px !important;
}

.google-codelab #controls {
  position: absolute;
  bottom: 32px;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  padding: 0 32px;
  flex-direction: column;
  z-index: 1001;
}

.google-codelab #fabs {
  display: flex;
  flex-grow: 1;
  max-width: 1025px;
  width: 100%;
  margin: 0 auto;
}

#previous-step,
#next-step,
#done {
  border-radius: 4px;
  font-family: Almarai, -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;
  font-size: 14px;
  font-weight: 600;
  letter-spacing: .6px;
  line-height: 30px;
  padding-bottom: 6px;
  padding-left: 24px;
  padding-right: 24px;
  padding-top: 6px;
  pointer-events: initial;
  text-transform: none;
  background: #FFFFFF;
  color: #1A73E8;
  transform: scale(1, 1);
  transition: transform 300ms ease-in-out;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
  text-decoration: none;
  -webkit-font-smoothing: antialiased;
}

.google-codelab #fabs .spacer {
  flex-grow: 1;
}


#next-step {
  color: #fff;
  background: #1A73E8;
}

#done {
  background: #1a73e8;
  color: #fff;
}


.my-chip {
  /* margin: 4px; */
  color: rgba(0, 0, 0, 0.87);
  height: 45px;
  cursor: default;
  border: none;
  display: inline-flex;
  outline: 0;
  padding: 0;
  font-size: 1rem;
  transition: background-color 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, box-shadow 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  font-family: Almarai, -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;

  align-items: center;
  white-space: nowrap;
  /* border-radius: 16px;  */
  font-size: 19px;
  justify-content: center;
  text-decoration: none;
  background-color: #e0e0e0;
  box-sizing: border-box;
  cursor: pointer;
  user-select: none;
  -webkit-tap-highlight-color: transparent;
  position: relative;
  margin-bottom: 16px;
}

.my-chip:hover,
.my-chip:focus {
  background-color: rgba(0, 0, 0, 0.04);
}

.outlined {
  /* border: 1px solid rgba(0, 0, 0, 0.23); */
  background-color: transparent;
}

.my-chip .index-circle {
  /* display: flex; */
  position: absolute;
  /* overflow: hidden; */
  align-items: center;
  flex-shrink: 0;
  font-family: "Roboto", "Helvetica", "Arial", sans-serif;
  user-select: none;
  /* border-radius: 50%; */
  justify-content: center;
  /* background-color: #bdbdbd; */
  color: #616161;
  width: 14px;
  height: 14px;
  font-size: 0.65rem;
  left: 0px;
  bottom: 0;

  display: flex;
  align-items: center;
  justify-content: center;
  /* margin-right: 5px;
  margin-left: -6px; */
}

body.en-lang .my-chip .index-circle {
  left: 80%;
}

.my-chip .chip-text {
  cursor: inherit;
  display: flex;
  align-items: center;
  user-select: none;
  overflow: hidden;
  white-space: nowrap;
  padding-left: 8px;
  padding-right: 8px;
  text-overflow: ellipsis;
}

.my-chip.selected-word {
  color: #fff;
  /* background-color: #fff;  */
  /* border-bottom: 1px solid #000;  */
}

.my-chip.selected-word .index-circle {
  color: #fff;
  /* background-color: rgb(17, 82, 147); */
}

/* .my-chip.selected-word:hover, .my-chip.selected-word:focus {
  background-color: rgb(43, 128, 213);
} */

.keyboard-words {
  position: absolute;
  right: 3px;
  top: 3px;
  width: 50px;
  border: 1px gray solid;
}

.subtexttitle {
  margin-top: 3px;
  color: rgba(0, 0, 0, 0.54);
  font-size: 0.875rem;
  font-weight: 400;
  font-family: Almarai, -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;
  line-height: 1.46429em;
}

.sp-color-label {
  height: 20px;
  width: 20px;
  display: block;
  border-radius: 50%;
  text-align: center;
  color: white;
  padding: 2px;
}

.sp-card-like {
  box-shadow: 0px 1px 2px 0px rgba(60, 64, 67, 0.3), 0px 2px 6px 2px rgba(60, 64, 67, 0.15);
  background: #fff;
  margin-right: 0 !important;
  padding: 14px;
  border-radius: 4px;
  margin-top: 10px;
}

 .sp-card-like .title {
  font-family: Almarai, -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;
  font-size: 1.3em !important;
  font-weight: 400 !important;
  line-height: 1em !important;
  margin: 0 0 30px !important;
}

.sp-card-like .desc {
  color: rgba(0, 0, 0, 0.54);
  font-size: 0.875rem;
  font-weight: 400;
  font-family: Almarai, -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;
  line-height: 1.46429em;
}

.finish-span button {
  width: 100%
}

.sp-align-content-sides {
  display: flex;
  justify-content: space-between;
}

.sp-align-content-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.sp-stat-container {
  font-family: Almarai, -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;
  font-size: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-left: 15px;
  margin-right: 15px;
}

a.sp-link {
  text-decoration: none;
}

.sp-stat-value {
  color: #1A73E8;
}

.sp-stat-title {
  color: #80868B;
}

.sp-level-container {
  width: 140px;
}

.sp-level-container>div,
#steps .instructions {
  height: 510px;
  margin-bottom: 0;
}

.sp-dimension-container {
  width: 160px;
}

.sp-dimension-container>div,
#steps .instructions {

  height: 510px;
  margin-bottom: 0;
}

.sp-choose-word-sentence-container a {
  margin-left: 5px;
  color: #1A73E8;
  text-decoration: none;
}

.sp-choose-word-sentence-container a:not(.active) {
  color: #212121;
}

.d-flex {
  display: flex;
}

.fontsize-90P {
  font-size: 90%;
}

.align-items-center {
  align-items: center;
}

.justify-content-between {
  justify-content: space-between;
}

.d-none {
  display: none;
}

.position-relative {
  position: relative
}

.sp-green-color {
  color: #2c784f
}

.sp-blue-color {
  color: #1A73E8
}

.sp-red-color {
  color: rgb(245, 101, 101)
}

.cursor-pointer {
  cursor: pointer;
}

.mx-5px {
  margin-left: 5px;
  margin-right: 5px;
}

/* main btn style */
.sp-pagedrawer-outer-btn-container {
  color: #1A73E8;
  text-decoration: unset;
  font-weight: 600;
  font-size: 18px;
}

/* custom btn style - report page specific*/
.sp-report-filter-outerbtn {
  position: absolute;
  left: 20px;
}

body.en-lang .sp-report-filter-outerbtn {
  left: unset;
  right: 20px;
}

/* main content container styles */
.sp-pagedrawer-container {
  /* width: 0;
  opacity: 0;
  overflow: hidden;
  transition: width 0.3s ease-in, opacity 0.1s ease-in;
  -webkit-transition: width 0.3s ease-in, opacity 0.1s ease-in;
  -moz-transition: width 0.3s ease-in, opacity 0.1s ease-in;
  -ms-transition: width 0.3s ease-in, opacity 0.1s ease-in;
  -o-transition: width 0.3s ease-in, opacity 0.1s ease-in; */
  display: none;
}

.sp-pagedrawer-container.opened {
  /* opacity: 1; */
  width: 350px;
  display: block;
  border-right: 1.5px solid rgba(0, 0, 0, 0.12);
  margin-right: 10px;
}

body.en-lang .sp-pagedrawer-container.opened {
  border-right: none;
  border-left: 1.5px solid rgba(0, 0, 0, 0.12);
  margin-right: 0;
  margin-left: 10px;
}

.sp-pagedrawer-drawertitle-container {
  border-bottom: 1.5px solid rgba(0, 0, 0, 0.12);
  padding: 8px;
}

.sp-pagedrawer-drawertitle-container .sp-pagedrawer-drawertitle {
  font-size: 18px;
  font-weight: 400;
}

.sp-pagedrawer-drawercontent-container {
  padding: 8px 15px;
}

.sp-reportfilter-time {
  margin-top: 12px;
}

.sp-seperator {
  margin-top: 20px;
  margin-bottom: 20px;
  padding: 1px;
}

.sp-seperator span {
  position: absolute;
  background: rgba(0, 0, 0, 0.12);
  height: 1px;
  width: 100%;
  left: 0;
}

header>div {
  padding-right: 24px !important;
  padding-left: 24px !important;

}

header>div>button {
  display: none !important;
}


.dimensionitem {
  padding: 5px;
}

.dimensionitem[checkedItem]:hover {
  cursor: pointer;
  background-color: lightgray;
}

.dimensionitem[selectedItem] {
  color: #1a73e8;
  font-weight: 600;
  box-shadow: 0 1px 2px 0 rgba(60, 64, 67, 0.3), 0 2px 6px 2px rgba(60, 64, 67, 0.15);
  background-color: #d4d4d4;
}

.dimensionitem>span:first-child {
  width: 28px;
}

.dimensionLabel {
  color: rgba(0, 0, 0, 0.87);
  font-size: 0.7rem;
  font-weight: 400;
  font-family: Almarai, -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif;
  line-height: 1.46429em;
  -webkit-user-select: none;
  /* Safari */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* IE10+/Edge */
  user-select: none;
  /* Standard */
}

.arabic-tweet {
  direction: rtl;
  font-size: 14px !important;
  text-align: right;
  font-family: 'Almarai', sans-serifv !important
}

.twemoji {
  display: inline-block;
  vertical-align: middle;
  width: 16px;
  margin: 0 2px;
}

.tweet-tooltip {
  color: white !important;
}

.top-space {
  margin-top: 15px;
}

.colored-label {
  display: inline-block;
  vertical-align: middle;
  padding: 3px 6px;
  border-left-width: 2px;
  border-left-style: solid;
  font-family: 'Almarai', sans-serifv !important
}
